Remove permission from an Entity
curl --request DELETE \
--url https://api.traxes.io/connect/v1/entities/{entityId}/permissions/principals/{principalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/entities/{entityId}/permissions/principals/{principalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/entities/{entityId}/permissions/principals/{principalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Sharing access
Remove permissions for an Entity
Remove permission from an Entity
DELETE
/
v1
/
entities
/
{entityId}
/
permissions
/
principals
/
{principalId}
Remove permission from an Entity
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
The id of the Principal
Query Parameters
Optional, the specific permission level to remove The available Permission Levels.
Available options:
Viewer, Contributor, Administer, Owner Response
OK
Was this page helpful?
⌘I